<template>
  <div class="bg-black-50">
    <div
      class="
        flex
        justify-between
        footer
        py-10
        w-4/5
        mx-auto
        text-tiny
        container
        text-black-300
        flex-col
        md:flex-row
      "
    >
      <div class="flex-1 flex md:space-x-5 lg:space-x-10 flex-col md:flex-row">
        <div class="mb-5 md:mb-0 w-full max-w-59px max-h-68px">
          <img
            :src="require('~/assets/images/scankub_logo_footer.svg')"
            alt="scankub_logo.png')"
            class="inline-block align-top"
          />
        </div>
        <div class="grid-rows-1 md:grid-cols-2 grid md:gap-5 lg:gap-20">
          <div
            v-for="(column, index) in menu_list"
            :key="index"
            class="sticky inline-block align-top"
          >
            <nuxt-link
              v-for="(menu, index) in column"
              :key="index"
              :to="menu.link"
              class="block pb-3"
            >
              {{ menu.title }}
            </nuxt-link>
          </div>
        </div>
      </div>

      <div class="flex-1 flex flex-col md:items-end">
        <div>
          <div class="flex items-center justify-start">
            <span class="material-icons icon24 mr-8px">mail</span>
            Scanhub@mail.com
          </div>
          <div class="flex items-center mt-11px justify-start">
            <span class="material-icons icon24 mr-8px">call</span>
            +6699 989 7899
          </div>
          <a
            v-for="(social, index) in socials"
            :key="index"
            :href="social.link"
            target="_blank"
          >
            <img
              :src="social.img"
              alt="social_logo.png"
              width="32"
              style="height: 32px"
              class="inline-block align-top mr-24px mt-5"
            />
          </a>
          <div class="mt-24px color-black-200 w-max">Copyright ©</div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  setup() {
    return {}
  },
  data() {
    return {
      menu_list: {
        column_1: [
          {
            title: "About Us",
            link: "/about-us",
          },
          {
            title: "Our service",
            link: "/our-service",
          },
          {
            title: "How to use",
            link: "/how-to-use",
          },
          // {
          //   title: "Promotion",
          //   link: "/promotion",
          // },
        ],
        column_2: [
          {
            title: "Blog",
            link: "/blog",
          },
          {
            title: "Package",
            link: "/package",
          },
          {
            title: "Contact",
            link: "/contact",
          },
        ],
      },
      socials: [
        {
          link: "https://www.facebook.com/",
          img: require("~/assets/images/facebook_icon_grey.png"),
        },
        {
          link: "https://www.instagram.com/",
          img: require("~/assets/images/instagram_icon_grey.png"),
        },
        {
          link: "https://www.youtube.com/",
          img: require("~/assets/images/youtube_icon_grey.png"),
        },
        {
          link: "https://twitter.com/",
          img: require("~/assets/images/twitter_icon_grey.png"),
        },
        {
          link: "https://line.me/",
          img: require("~/assets/images/line_icon_grey.png"),
        },
      ],
    }
  },
}
</script>

<style lang="scss" scoped></style>
